libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::tablereader Class Reference

`#include <tablereader.hxx>`

Inheritance diagram for pqxx::tablereader:

## Public Member Functions

| tablereader (transaction_base &, const std::string &Name, const std::string &Null=std::string())
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns)
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns, const std::string &Null)
| ~tablereader () throw ()
template<typename TUPLE >
tablereader & | operator>> (TUPLE &)
| operator bool () const throw ()
bool | operator! () const throw ()
bool | get_raw_line (std::string &Line)
template<typename TUPLE >
void | tokenize (std::string, TUPLE &) const
virtual void | complete ()
Public Member Functions inherited from pqxx::tablestream
| tablestream (transaction_base &Trans, const std::string &Null=std::string())
virtual | ~tablestream ()=0 throw ()
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Additional Inherited Members

Protected Member Functions inherited from pqxx::tablestream
const std::string & | NullStr () const
bool | is_finished () const throw ()
void | base_close ()
Static Protected Member Functions inherited from pqxx::tablestream
template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_Trans

## Detailed Description

Deprecated:
  Efficiently pull data directly out of a table.

Warning
  This class does not work reliably with multibyte encodings. Using it with some multi-byte encodings may pose a security risk.

## Constructor & Destructor Documentation

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | const std::string & | Null = `std::string()`
| ) |  |

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns
| ) |  |

References pqxx::tablestream::columnlist().

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns,
|  | const std::string & | Null
| ) |  |

References pqxx::tablestream::columnlist().

pqxx::tablereader::~tablereader | ( |  | ) | throw ()

## Member Function Documentation

void pqxx::tablereader::complete | ( |  | ) |

virtual

Implements pqxx::tablestream.

bool pqxx::tablereader::get_raw_line | ( | std::string & | Line | ) |

Referenced by pqxx::tablewriter::operator<<().

pqxx::tablereader::operator bool | ( |  | ) | const throw ()

bool pqxx::tablereader::operator! | ( |  | ) | const throw ()

template<typename TUPLE >

tablereader & pqxx::tablereader::operator>> | ( | TUPLE & | T | ) |

template<typename TUPLE >

void pqxx::tablereader::tokenize | ( | std::string | Line,
|  | TUPLE & | T
| ) |  | const

The documentation for this class was generated from the following files:

- tablereader.hxx
- tablereader.cxx